From 9f51efea621f043b6200ebba0201f44a618c9b0b Mon Sep 17 00:00:00 2001
From: Michael Hanson <hansonorders@verizon.net>
Date: Fri, 19 Nov 2010 03:47:52 +0000
Subject: Nightly housekeeping

---
 abs/core/nfs-utils/nfs.conf.d                    | 20 ------
 abs/core/nfs-utils/nfsd                          | 91 ------------------------
 abs/core/nfs-utils/nfslock                       | 50 -------------
 abs/extra/boost/0001-date_time-gcc-4.3-fix.patch | 25 -------
 abs/extra/boost/serialization_gcc43.patch        | 44 ------------
 5 files changed, 230 deletions(-)
 delete mode 100644 abs/core/nfs-utils/nfs.conf.d
 delete mode 100755 abs/core/nfs-utils/nfsd
 delete mode 100755 abs/core/nfs-utils/nfslock
 delete mode 100644 abs/extra/boost/0001-date_time-gcc-4.3-fix.patch
 delete mode 100644 abs/extra/boost/serialization_gcc43.patch

diff --git a/abs/core/nfs-utils/nfs.conf.d b/abs/core/nfs-utils/nfs.conf.d
deleted file mode 100644
index 73e396a..0000000
--- a/abs/core/nfs-utils/nfs.conf.d
+++ /dev/null
@@ -1,20 +0,0 @@
-# Number of servers to be started up by default
-NFSD_OPTS=8
-
-# Options to pass to rpc.mountd
-# e.g. MOUNTDOPTS="-p 32767"
-MOUNTD_OPTS="--no-nfs-version 1 --no-nfs-version 2"
-
-# Options to pass to rpc.statd
-# N.B. statd normally runs on both client and server, and run-time
-# options should be specified accordingly. Specifically, the Arch
-# NFS init scripts require the --no-notify flag on the server,
-# but not on the client e.g.
-# STATD_OPTS="--no-notify -p 32765 -o 32766" -> server
-# STATD_OPTS="-p 32765 -o 32766" -> client
-STATD_OPTS=""
-
-# Options to pass to sm-notify
-# e.g. SMNOTIFY_OPTS="-p 32764"
-SMNOTIFY_OPTS=""
-
diff --git a/abs/core/nfs-utils/nfsd b/abs/core/nfs-utils/nfsd
deleted file mode 100755
index ce891e2..0000000
--- a/abs/core/nfs-utils/nfsd
+++ /dev/null
@@ -1,91 +0,0 @@
-#!/bin/bash
-
-# source application-specific settings
-[ -f /etc/conf.d/nfs ] && . /etc/conf.d/nfs
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-DAEMON_NAME=nfsd
-NFSD_PID=`pidof -o %PPID nfsd`
-MOUNTD_PID=`pidof -o %PPID /usr/sbin/rpc.mountd`
-case "$1" in
-  start)
-    stat_busy "Starting $DAEMON_NAME"
-    # Check for portmap
-    if [ ! -f /var/run/daemons/portmap ]; then 
-		echo "ERROR: portmap is not running"
-      stat_fail
-      exit 1
-    fi
-    # Check for nfslock
-    if [ ! -f /var/run/daemons/nfslock ]; then 
-		echo "ERROR: nfslock is not running"
-      stat_fail
-      exit 1
-    fi
-    # Check for /proc/fs/nfsd
-    if grep -qs nfsd /proc/filesystems ; then
-	if ! grep -qs "nfsd /proc/fs/nfsd" /proc/mounts ; then
-	    mount -t nfsd -o nodev,noexec,nosuid nfsd /proc/fs/nfsd
-	fi
-    fi
-    # Run exportfs
-    /usr/sbin/exportfs -r
-    # Run mountd
-    [ -z "$MOUNTD_PID" ] && /usr/sbin/rpc.mountd $MOUNTD_OPTS
-    if [ $? -gt 0 ]; then
-      stat_fail
-      exit 1
-    else
-      echo `pidof -o %PPID /usr/sbin/rpc.mountd` > /var/run/rpc.mountd.pid
-    fi
-    # Run nfsd
-    [ -z "$NFSD_PID" ] && /usr/sbin/rpc.nfsd $NFSD_OPTS
-    if [ $? -gt 0 ]; then
-      stat_fail
-      exit 1
-    else
-      echo `pidof -o %PPID nfsd` > /var/run/rpc.nfsd.pid
-    fi
-    # Run sm-notify
-    /usr/sbin/sm-notify $SMNOTIFY_OPTS
-    add_daemon $DAEMON_NAME
-    stat_done
-    ;;
-
-  stop)
-    stat_busy "Stopping $DAEMON_NAME"
-    [ ! -z "$MOUNTD_PID" ]  && kill $MOUNTD_PID &> /dev/null
-    if [ $? -gt 0 ]; then
-      stat_fail
-      exit 1
-    else
-      rm /var/run/rpc.mountd.pid &> /dev/null
-    fi
-    sleep 1
-    [ ! -z "$NFSD_PID" ]  && kill $NFSD_PID &> /dev/null
-    if [ $? -gt 0 ]; then
-      stat_fail
-      exit 1
-    else
-      kill -9 $NFSD_PID &> /dev/null
-      rm /var/run/rpc.nfsd.pid &> /dev/null
-    fi
-    if [ "$RUNLEVEL" = "0" ]; then
-      /usr/sbin/exportfs -au
-    fi
-    rm_daemon $DAEMON_NAME
-    stat_done
-    ;;
-
-  restart)
-    $0 stop
-    sleep 2
-    $0 start
-    ;;
-
-  *)
-    echo "usage: $0 {start|stop|restart}"  
-esac
-exit 0
diff --git a/abs/core/nfs-utils/nfslock b/abs/core/nfs-utils/nfslock
deleted file mode 100755
index f25ab3c..0000000
--- a/abs/core/nfs-utils/nfslock
+++ /dev/null
@@ -1,50 +0,0 @@
-#!/bin/bash
-
-# source application-specific settings
-[ -f /etc/conf.d/nfs ] && . /etc/conf.d/nfs
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-DAEMON_NAME=nfslock
-PID=`pidof -o %PPID /usr/sbin/rpc.statd`
-case "$1" in
-  start)
-    stat_busy "Starting $DAEMON_NAME"
-    # Check for /proc/fs/nfsd
-    if grep -qs nfsd /proc/filesystems ; then
-        if ! grep -qs "nfsd /proc/fs/nfsd" /proc/mounts ; then
-            mount -t nfsd -o nodev,noexec,nosuid nfsd /proc/fs/nfsd
-        fi
-    fi
-    [ -z "$PID" ] && /usr/sbin/rpc.statd $STATD_OPTS
-    if [ $? -gt 0 ]; then
-      stat_fail
-    else
-      echo `pidof rpc.statd` > /var/run/rpc.statd.pid
-      stat_done
-      add_daemon $DAEMON_NAME
-    fi
-    ;;
-
-  stop)
-    stat_busy "Stopping $DAEMON_NAME"
-    [ ! -z "$PID" ]  && kill $PID &> /dev/null
-    if [ $? -gt 0 ]; then
-      stat_fail
-    else
-      rm /var/run/rpc.statd.pid &> /dev/null
-      rm_daemon $DAEMON_NAME
-      stat_done
-    fi
-    ;;
-
-  restart)
-    $0 stop
-    sleep 1
-    $0 start
-    ;;
-  *)
-    echo "usage: $0 {start|stop|restart}"  
-esac
-exit 0
diff --git a/abs/extra/boost/0001-date_time-gcc-4.3-fix.patch b/abs/extra/boost/0001-date_time-gcc-4.3-fix.patch
deleted file mode 100644
index 9f7e016..0000000
--- a/abs/extra/boost/0001-date_time-gcc-4.3-fix.patch
+++ /dev/null
@@ -1,25 +0,0 @@
-From 88f7023cc36d82133cfa0e705531a9d73feb4686 Mon Sep 17 00:00:00 2001
-From: Tim Blechmann <tim@klingt.org>
-Date: Sat, 2 Feb 2008 17:22:58 +0100
-Subject: [PATCH] date_time: gcc-4.3 fix
-
----
- boost/date_time/tz_db_base.hpp |    2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
-
-diff --git a/boost/date_time/tz_db_base.hpp b/boost/date_time/tz_db_base.hpp
-index b9c0a8a..03f748e 100644
---- a/boost/date_time/tz_db_base.hpp
-+++ b/boost/date_time/tz_db_base.hpp
-@@ -158,7 +158,7 @@ namespace boost {
-       typedef typename time_zone_type::base_type time_zone_base_type;
-       typedef typename time_zone_type::time_duration_type time_duration_type;
-       typedef time_zone_names_base<char_type> time_zone_names;
--      typedef dst_adjustment_offsets<time_duration_type> dst_adjustment_offsets;
-+      typedef boost::date_time::dst_adjustment_offsets<time_duration_type> dst_adjustment_offsets;
-       typedef std::basic_string<char_type> string_type;
- 
-       //! Constructs an empty database
--- 
-1.5.3.8
-
diff --git a/abs/extra/boost/serialization_gcc43.patch b/abs/extra/boost/serialization_gcc43.patch
deleted file mode 100644
index 13dbf5d..0000000
--- a/abs/extra/boost/serialization_gcc43.patch
+++ /dev/null
@@ -1,44 +0,0 @@
-Index: /home/maik/workspace/boost/boost/archive/polymorphic_iarchive.hpp
-===================================================================
---- /home/maik/workspace/boost/boost/archive/polymorphic_iarchive.hpp	(Revision 43953)
-+++ /home/maik/workspace/boost/boost/archive/polymorphic_iarchive.hpp	(Arbeitskopie)
-@@ -17,6 +17,7 @@
- //  See http://www.boost.org for updates, documentation, and revision history.
- 
- #include <cstddef> // std::size_t
-+#include <climits> // ULONG_MAX
- #include <boost/config.hpp>
- 
- #if defined(BOOST_NO_STDC_NAMESPACE)
-@@ -38,6 +39,9 @@
- // i.e. that its not a synonym for (unsigned) long
- // if there is no 64 bit int or if its the same as a long
- // we shouldn't define separate functions for int64 data types.
-+#ifndef ULONG_MAX
-+# error "ULONG_MAX is not defined"
-+#endif
- #if defined(BOOST_NO_INT64_T) \
-     || (ULONG_MAX != 0xffffffff && ULONG_MAX == 18446744073709551615u) // 2**64 - 1
- #   define BOOST_NO_INTRINSIC_INT64_T
-Index: /home/maik/workspace/boost/boost/archive/polymorphic_oarchive.hpp
-===================================================================
---- /home/maik/workspace/boost/boost/archive/polymorphic_oarchive.hpp	(Revision 43953)
-+++ /home/maik/workspace/boost/boost/archive/polymorphic_oarchive.hpp	(Arbeitskopie)
-@@ -18,6 +18,7 @@
- 
- #include <cstddef> // size_t
- #include <string>
-+#include <climits> // ULONG_MAX
- 
- #include <boost/config.hpp>
- #if defined(BOOST_NO_STDC_NAMESPACE)
-@@ -37,6 +38,9 @@
- // i.e. that its not a synonym for (unsigned) long
- // if there is no 64 bit int or if its the same as a long
- // we shouldn't define separate functions for int64 data types.
-+#ifndef ULONG_MAX
-+# error "ULONG_MAX is not defined"
-+#endif
- #if defined(BOOST_NO_INT64_T) \
-     || (ULONG_MAX != 0xffffffff && ULONG_MAX == 18446744073709551615u) // 2**64 - 1
- #   define BOOST_NO_INTRINSIC_INT64_T
-- 
cgit v0.12